Name:           ffmulticonverter
Version:        1.8.0
Release:        %mkrel 6
Summary:        GUI File Format Converter
Group:          Video/Editors and Converters
License:        GPLv3
URL:            https://sites.google.com/site/%{name}/home
Source0:        http://sourceforge.net/projects/ffmulticonv/files/%{name}-%{version}.tar.gz
Patch0:         ffmulticonverter-1.6.0-mga-icon-path.patch
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
# The imagemagick in br is needed only for the 'convert' commande in the section 'install'
BuildRequires:  imagemagick
Requires:       python3-qt5-core
Requires:       python3-qt5-gui
Requires:       python3-qt5-network
Requires:       python3-qt5-widgets
Requires:       python3-sip
Requires:       ffmpeg
Requires:       imagemagick
Recommends:     unoconv

%description
Graphical application which enables you to convert audio, video, image
and document files between all popular formats using ffmpeg, unoconv,
and PythonMagick.

Features:
 - Conversions for several file formats.
 - Very easy to use interface.
 - Access to common conversion options.
 - Audio/video ffmpeg-presets management.
 - Options for saving and naming files.
 - Recursive conversions


%prep
%setup -q -n %{name}-%{version}
%autopatch -p1

%build
%py3_build

%install
%py3_install

%__mkdir -p %{buildroot}%{_miconsdir}
%__mkdir -p %{buildroot}%{_liconsdir}
convert -scale 16x16 %{buildroot}%{_iconsdir}/%{name}.png %{buildroot}%{_miconsdir}/%{name}.png
convert -scale 48x48 %{buildroot}%{_iconsdir}/%{name}.png %{buildroot}%{_liconsdir}/%{name}.png
convert -scale 32x32 %{buildroot}%{_iconsdir}/%{name}.png %{buildroot}%{_iconsdir}/%{name}.png

%files
%doc ChangeLog README.txt AUTHORS TRANSLATORS
%doc %{_mandir}/man1/ffmulticonverter.1.xz
%{_bindir}/%{name}
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 1.8.0-6.mga8
+ Revision: 1533387
- Mageia 8 Mass Rebuild

* Sat Sep 21 2019 daviddavid <daviddavid> 1.8.0-5.mga8
+ Revision: 1444172
- rebuild for python3.8

* Fri Jan 11 2019 daviddavid <daviddavid> 1.8.0-4.mga7
+ Revision: 1355009
- switch to PyQt5

* Fri Jan 11 2019 daviddavid <daviddavid> 1.8.0-3.mga7
+ Revision: 1355007
- rebuild for new Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.8.0-2.mga7
+ Revision: 1278233
- Mageia 7 Mass Rebuild

* Mon Mar 26 2018 kekepower <kekepower> 1.8.0-1.mga7
+ Revision: 1212659
- Update to version 1.8.0

* Sat Aug 05 2017 pterjan <pterjan> 1.7.2-4.mga7
+ Revision: 1135208
- Rebuild for python 3.6

* Mon Jun 27 2016 akien <akien> 1.7.2-3.mga6
+ Revision: 1037842
- Rebuild in core/release

* Sat Jun 25 2016 akien <akien> 1.7.2-2.mga6
+ Revision: 1037535
- Rebuild for python-sip 4.18

* Sat May 07 2016 dglent <dglent> 1.7.2-1.mga6
+ Revision: 1010249
- Version 1.7.2

* Fri Feb 19 2016 umeabot <umeabot> 1.7.1-3.mga6
+ Revision: 970595
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 daviddavid <daviddavid> 1.7.1-2.mga6
+ Revision: 887245
- rebuild for python 3.5
- use new python macros

* Sun Jul 05 2015 dglent <dglent> 1.7.1-1.mga6
+ Revision: 850744
- Version 1.7.1
- New version 1.7.0

* Wed Oct 15 2014 umeabot <umeabot> 1.6.0-6.mga5
+ Revision: 741560
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.6.0-5.mga5
+ Revision: 726237
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.6.0-4.mga5
+ Revision: 679174
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sat May 31 2014 pterjan <pterjan> 1.6.0-3.mga5
+ Revision: 629671
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 1.6.0-2.mga5
+ Revision: 629529
- Rebuild for new Python

* Sun Dec 15 2013 dglent <dglent> 1.6.0-1.mga4
+ Revision: 556943
- Add Requires python3-sip
- New version 1.6.0
- Application ported to python3

* Tue Oct 22 2013 umeabot <umeabot> 1.5.2-5.mga4
+ Revision: 542606
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 1.5.2-4.mga4
+ Revision: 497750
- Rebuild to add different pythonegg provides for python 2 and 3
+ dglent <dglent>
- Replace commands with macros
- Install directory in %%files section
- Remove copy of license
- Update spec
- New version 1.5.2
- New version 1.5.1
- New version 1.5.0
- Update the tarball source path in SPEC
- New version 1.4.3
- Add patch for icon path
- Minor changes in spec
- New version 1.4.2
- New version 1.4.0, drop patch from 1.3.1
+ barjac <barjac>
- update group
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Mar 07 2012 obgr_seneca <obgr_seneca> 1.3.1-2.mga2
+ Revision: 220907
- optional requirements are now suggested, not required
- replace pil by pythonmagick as optional requirement
- removed unneeded requirements

* Wed Mar 07 2012 obgr_seneca <obgr_seneca> 1.3.1-1.mga2
+ Revision: 220902
- new version 1.3.1
- rediffed desktop file patch

* Sun Jan 29 2012 obgr_seneca <obgr_seneca> 1.2.0-1.mga2
+ Revision: 202960
- imported package ffmulticonverter


* Sun Jan 29 2012 Oliver Burger <obgr_seneca@mageia.org> 1.2.0-1.mga2
- import int Mga
- Spec file provided by Dimitrios Glentadakis
- Bug #4333
